# Taxonomy

Taxonomy programs can be thought of labels or categories depending on your use case. They are used to associate with both templates the entries that are built off of those templates. For example, if you had an app that had content to feature in different channels inside the app, you could create taxonomies for "defi," and "NFTs" and make those eligible for your template called "newsfeed." Then while creating entries for your newsfeed, those entries would allow you to chose "defi" and "NFTs" so you can code them properly for however you want to arrange, display, or filter.

Urchin taxonomies are a bit more powerful as they're multidimensional and can create trees of parent and child relationships. So, if for example you want to create children taxonomies for "defi" such as "staking" and "swapping," you can create those relationships for more robust management. &#x20;


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://urchin.gitbook.io/overview/api-reference/taxonomy.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
